Skip to main content
`Ctrl`+`K`

# MatPartitioningImprove

Improves the quality of a given partition.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningImprove(MatPartitioning matp, IS *partitioning)

Collective

## Input Parameters

- matp - the matrix partitioning object

- partitioning - the original partitioning. For each local node this tells the processor number that that node is assigned to.

## Options Database Key

- -mat_partitioning_improve - improve the quality of the given partition

## See Also

Matrices, `Mat`, `MatPartitioning`, `MatPartitioningType`, `MatPartitioningApply()`, `MatPartitioningCreate()`, `MatPartitioningDestroy()`, `MatPartitioningSetAdjacency()`, `ISPartitioningToNumbering()`, `ISPartitioningCount()`

## Level

beginner

## Location

src/mat/graphops/partition/partition.c

## Implementations

MatPartitioningImprove_Hierarchical() in src/mat/graphops/partition/impls/hierarchical/hierarchical.c
MatPartitioningImprove_Parmetis() in src/mat/graphops/partition/impls/pmetis/pmetis.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages